'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _Accidental = require('../constants/Accidental');

var _noteToObject = require('../noteToObject');

var _noteToObject2 = _interopRequireDefault(_noteToObject);

var _objectToNote = require('../objectToNote');

var _objectToNote2 = _interopRequireDefault(_objectToNote);

var _isScientificNote = require('../isScientificNote');

var _isScientificNote2 = _interopRequireDefault(_isScientificNote);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var accidentalToSymbol = function accidentalToSymbol(note) {
  if (!(0, _isScientificNote2.default)(note)) {
    throw new Error('"' + note + '" is not a valid note.');
  }

  var noteObject = (0, _noteToObject2.default)(note);
  var accidentalType = noteObject.accidentalType;


  if (accidentalType !== _Accidental.LETTER) return note;

  noteObject.accidentalType = _Accidental.SYMBOL;
  return (0, _objectToNote2.default)(noteObject);
};

exports.default = accidentalToSymbol;
module.exports = exports['default'];