'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getChromaticCPosition = require('../getChromaticCPosition');

var _getChromaticCPosition2 = _interopRequireDefault(_getChromaticCPosition);

var _getOctave = require('../getOctave');

var _getOctave2 = _interopRequireDefault(_getOctave);

var _isScientificNoteArray = require('../isScientificNoteArray');

var _isScientificNoteArray2 = _interopRequireDefault(_isScientificNoteArray);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var areSameNotes = function areSameNotes(notes) {
  if (!(0, _isScientificNoteArray2.default)(notes)) {
    return false;
  }

  try {
    return notes.map(_getChromaticCPosition2.default).every(function (v, _, arr) {
      return v === arr[0];
    }) && notes.map(_getOctave2.default).every(function (v, _, arr) {
      return v === arr[0];
    });
  } catch (e) {
    return false;
  }
};

exports.default = areSameNotes;
module.exports = exports['default'];