'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _transpose = require('../transpose');

var _transpose2 = _interopRequireDefault(_transpose);

var _isIntervalArray = require('../isIntervalArray');

var _isIntervalArray2 = _interopRequireDefault(_isIntervalArray);

var _Names = require('../constants/Interval/Names');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var createChord = function createChord(root, chord) {
  if (!(0, _isIntervalArray2.default)(chord)) {
    throw new Error('Provide a valid collection of chord intervals ex: [0, 1, 3]');
  }

  if (chord[0] !== _Names.ROOT) {
    throw new Error('First interval of chord should be 0 (Root)');
  }

  return chord.reduce(function (acc, interval) {
    return [].concat(_toConsumableArray(acc), [(0, _transpose2.default)(root, interval)]);
  }, []);
};

exports.default = createChord;
module.exports = exports['default'];