'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isScientificNoteArray = require('../isScientificNoteArray');

var _isScientificNoteArray2 = _interopRequireDefault(_isScientificNoteArray);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var createPattern = function createPattern(notes, positions) {
  if (!(0, _isScientificNoteArray2.default)(notes)) {
    throw new Error('Please provide an array of scientific notes');
  }

  if (!Array.isArray(positions) || positions.some(function (v) {
    return v > notes.length - 1;
  })) {
    throw new Error('Please provide an array with note positions (max position: ' + (notes.length - 1) + ')');
  }

  return positions.map(function (v) {
    return notes[v];
  });
};

exports.default = createPattern;
module.exports = exports['default'];