'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isFlat = require('../isFlat');

var _isFlat2 = _interopRequireDefault(_isFlat);

var _isSharp = require('../isSharp');

var _isSharp2 = _interopRequireDefault(_isSharp);

var _isScientificNote = require('../isScientificNote');

var _isScientificNote2 = _interopRequireDefault(_isScientificNote);

var _Accidental = require('../constants/Accidental');

var _hasAccidental = require('../hasAccidental');

var _hasAccidental2 = _interopRequireDefault(_hasAccidental);

var _hasAccidentalLetter = require('../hasAccidentalLetter');

var _hasAccidentalLetter2 = _interopRequireDefault(_hasAccidentalLetter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getAccidental = function getAccidental(note) {
  if (!(0, _isScientificNote2.default)(note)) {
    throw new Error('"' + note + '" is not a valid note.');
  }

  if (!(0, _hasAccidental2.default)(note)) return undefined;

  if ((0, _isFlat2.default)(note)) {
    if ((0, _hasAccidentalLetter2.default)(note)) return _Accidental.FLAT_LETTER;
    return _Accidental.FLAT_SYMBOL;
  } else if ((0, _isSharp2.default)(note)) {
    if ((0, _hasAccidentalLetter2.default)(note)) return _Accidental.SHARP_LETTER;
    return _Accidental.SHARP_SYMBOL;
  }

  return note;
};
exports.default = getAccidental;
module.exports = exports['default'];