'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getNote = require('../getNote');

var _getNote2 = _interopRequireDefault(_getNote);

var _isScientificNote = require('../isScientificNote');

var _isScientificNote2 = _interopRequireDefault(_isScientificNote);

var _NOTES = require('../constants/NOTES');

var _NOTES2 = _interopRequireDefault(_NOTES);

var _accidentalToLetter = require('../accidentalToLetter');

var _accidentalToLetter2 = _interopRequireDefault(_accidentalToLetter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getChromaticCPosition = function getChromaticCPosition(note) {
  if (!(0, _isScientificNote2.default)(note)) {
    throw new Error('"' + note + '" is not a valid note.');
  }

  var rNote = (0, _getNote2.default)((0, _accidentalToLetter2.default)(note));
  return _NOTES2.default.findIndex(function (n) {
    return n.some(function (nn) {
      return nn === rNote;
    });
  });
};

exports.default = getChromaticCPosition;
module.exports = exports['default'];