'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isDiatonicScale = require('../isDiatonicScale');

var _isDiatonicScale2 = _interopRequireDefault(_isDiatonicScale);

var _normalizeScale = require('../normalizeScale');

var _normalizeScale2 = _interopRequireDefault(_normalizeScale);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getDegree = function getDegree(scale, degree) {
  var _ref = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {},
      _ref$direction = _ref.direction,
      direction = _ref$direction === undefined ? 1 : _ref$direction;

  if (degree < 1 || degree > 8) {
    throw new Error('Degree must be between 1 - 8.');
  }

  if (!(0, _isDiatonicScale2.default)(scale, { direction: direction })) {
    throw new Error('"' + JSON.stringify(scale) + '" is not a valid diatonic scale.');
  }

  var normalizedScale = (0, _normalizeScale2.default)(scale, { direction: direction });
  return normalizedScale[degree - 1];
};

exports.default = getDegree;
module.exports = exports['default'];