'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _Chord = require('./constants/Chord');

var _Chord2 = _interopRequireDefault(_Chord);

var _Interval = require('./constants/Interval');

var _Interval2 = _interopRequireDefault(_Interval);

var _Mode = require('./constants/Mode');

var _Mode2 = _interopRequireDefault(_Mode);

var _Scale = require('./constants/Scale');

var _Scale2 = _interopRequireDefault(_Scale);

var _NOTES = require('./constants/NOTES');

var _NOTES2 = _interopRequireDefault(_NOTES);

var _accidentalToLetter = require('./accidentalToLetter');

var _accidentalToLetter2 = _interopRequireDefault(_accidentalToLetter);

var _accidentalToSymbol = require('./accidentalToSymbol');

var _accidentalToSymbol2 = _interopRequireDefault(_accidentalToSymbol);

var _areSameNotes = require('./areSameNotes');

var _areSameNotes2 = _interopRequireDefault(_areSameNotes);

var _createChord = require('./createChord');

var _createChord2 = _interopRequireDefault(_createChord);

var _createPattern = require('./createPattern');

var _createPattern2 = _interopRequireDefault(_createPattern);

var _createScale = require('./createScale');

var _createScale2 = _interopRequireDefault(_createScale);

var _flatToSharp = require('./flatToSharp');

var _flatToSharp2 = _interopRequireDefault(_flatToSharp);

var _getAccidental = require('./getAccidental');

var _getAccidental2 = _interopRequireDefault(_getAccidental);

var _getChromaticCPosition = require('./getChromaticCPosition');

var _getChromaticCPosition2 = _interopRequireDefault(_getChromaticCPosition);

var _getDominant = require('./getDominant');

var _getDominant2 = _interopRequireDefault(_getDominant);

var _getIntervals = require('./getIntervals');

var _getIntervals2 = _interopRequireDefault(_getIntervals);

var _getLeadingTone = require('./getLeadingTone');

var _getLeadingTone2 = _interopRequireDefault(_getLeadingTone);

var _getMediant = require('./getMediant');

var _getMediant2 = _interopRequireDefault(_getMediant);

var _getNote = require('./getNote');

var _getNote2 = _interopRequireDefault(_getNote);

var _getOctave = require('./getOctave');

var _getOctave2 = _interopRequireDefault(_getOctave);

var _getRoot = require('./getRoot');

var _getRoot2 = _interopRequireDefault(_getRoot);

var _getScaleDegree = require('./getScaleDegree');

var _getScaleDegree2 = _interopRequireDefault(_getScaleDegree);

var _getSubdominant = require('./getSubdominant');

var _getSubdominant2 = _interopRequireDefault(_getSubdominant);

var _getSubmediant = require('./getSubmediant');

var _getSubmediant2 = _interopRequireDefault(_getSubmediant);

var _getSupertonic = require('./getSupertonic');

var _getSupertonic2 = _interopRequireDefault(_getSupertonic);

var _getTonic = require('./getTonic');

var _getTonic2 = _interopRequireDefault(_getTonic);

var _hasAccidental = require('./hasAccidental');

var _hasAccidental2 = _interopRequireDefault(_hasAccidental);

var _hasAccidentalLetter = require('./hasAccidentalLetter');

var _hasAccidentalLetter2 = _interopRequireDefault(_hasAccidentalLetter);

var _hasAccidentalSymbol = require('./hasAccidentalSymbol');

var _hasAccidentalSymbol2 = _interopRequireDefault(_hasAccidentalSymbol);

var _hasOctave = require('./hasOctave');

var _hasOctave2 = _interopRequireDefault(_hasOctave);

var _haveSameOctave = require('./haveSameOctave');

var _haveSameOctave2 = _interopRequireDefault(_haveSameOctave);

var _isAnhemitonicScale = require('./isAnhemitonicScale');

var _isAnhemitonicScale2 = _interopRequireDefault(_isAnhemitonicScale);

var _isAscendingScale = require('./isAscendingScale');

var _isAscendingScale2 = _interopRequireDefault(_isAscendingScale);

var _isCohemitonicScale = require('./isCohemitonicScale');

var _isCohemitonicScale2 = _interopRequireDefault(_isCohemitonicScale);

var _isDescendingScale = require('./isDescendingScale');

var _isDescendingScale2 = _interopRequireDefault(_isDescendingScale);

var _isDiatonicScale = require('./isDiatonicScale');

var _isDiatonicScale2 = _interopRequireDefault(_isDiatonicScale);

var _isFlat = require('./isFlat');

var _isFlat2 = _interopRequireDefault(_isFlat);

var _isHemitonicScale = require('./isHemitonicScale');

var _isHemitonicScale2 = _interopRequireDefault(_isHemitonicScale);

var _isHeptatonicScale = require('./isHeptatonicScale');

var _isHeptatonicScale2 = _interopRequireDefault(_isHeptatonicScale);

var _isHexatonicScale = require('./isHexatonicScale');

var _isHexatonicScale2 = _interopRequireDefault(_isHexatonicScale);

var _isIntervalArray = require('./isIntervalArray');

var _isIntervalArray2 = _interopRequireDefault(_isIntervalArray);

var _isMode = require('./isMode');

var _isMode2 = _interopRequireDefault(_isMode);

var _isNatural = require('./isNatural');

var _isNatural2 = _interopRequireDefault(_isNatural);

var _isOctatonicScale = require('./isOctatonicScale');

var _isOctatonicScale2 = _interopRequireDefault(_isOctatonicScale);

var _isOctave = require('./isOctave');

var _isOctave2 = _interopRequireDefault(_isOctave);

var _isPentatonicScale = require('./isPentatonicScale');

var _isPentatonicScale2 = _interopRequireDefault(_isPentatonicScale);

var _isScale = require('./isScale');

var _isScale2 = _interopRequireDefault(_isScale);

var _isScaleWithIntervalAmount = require('./isScaleWithIntervalAmount');

var _isScaleWithIntervalAmount2 = _interopRequireDefault(_isScaleWithIntervalAmount);

var _isScientificNote = require('./isScientificNote');

var _isScientificNote2 = _interopRequireDefault(_isScientificNote);

var _isScientificNoteArray = require('./isScientificNoteArray');

var _isScientificNoteArray2 = _interopRequireDefault(_isScientificNoteArray);

var _isSemitone = require('./isSemitone');

var _isSemitone2 = _interopRequireDefault(_isSemitone);

var _isSharp = require('./isSharp');

var _isSharp2 = _interopRequireDefault(_isSharp);

var _isTone = require('./isTone');

var _isTone2 = _interopRequireDefault(_isTone);

var _isTriad = require('./isTriad');

var _isTriad2 = _interopRequireDefault(_isTriad);

var _normalizeScale = require('./normalizeScale');

var _normalizeScale2 = _interopRequireDefault(_normalizeScale);

var _noteToFrequency = require('./noteToFrequency');

var _noteToFrequency2 = _interopRequireDefault(_noteToFrequency);

var _noteToMidi = require('./noteToMidi');

var _noteToMidi2 = _interopRequireDefault(_noteToMidi);

var _noteToObject = require('./noteToObject');

var _noteToObject2 = _interopRequireDefault(_noteToObject);

var _objectToNote = require('./objectToNote');

var _objectToNote2 = _interopRequireDefault(_objectToNote);

var _sharpToFlat = require('./sharpToFlat');

var _sharpToFlat2 = _interopRequireDefault(_sharpToFlat);

var _transferAccidental = require('./transferAccidental');

var _transferAccidental2 = _interopRequireDefault(_transferAccidental);

var _transferStyle = require('./transferStyle');

var _transferStyle2 = _interopRequireDefault(_transferStyle);

var _transpose = require('./transpose');

var _transpose2 = _interopRequireDefault(_transpose);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  Chord: _Chord2.default,
  Interval: _Interval2.default,
  Mode: _Mode2.default,
  Scale: _Scale2.default,
  NOTES: _NOTES2.default,

  accidentalToLetter: _accidentalToLetter2.default,
  accidentalToSymbol: _accidentalToSymbol2.default,
  areSameNotes: _areSameNotes2.default,
  createChord: _createChord2.default,
  createPattern: _createPattern2.default,
  createScale: _createScale2.default,
  flatToSharp: _flatToSharp2.default,
  getAccidental: _getAccidental2.default,
  getChromaticCPosition: _getChromaticCPosition2.default,
  getDominant: _getDominant2.default,
  getIntervals: _getIntervals2.default,
  getLeadingTone: _getLeadingTone2.default,
  getMediant: _getMediant2.default,
  getNote: _getNote2.default,
  getOctave: _getOctave2.default,
  getRoot: _getRoot2.default,
  getScaleDegree: _getScaleDegree2.default,
  getSubdominant: _getSubdominant2.default,
  getSubmediant: _getSubmediant2.default,
  getSupertonic: _getSupertonic2.default,
  getTonic: _getTonic2.default,
  hasAccidental: _hasAccidental2.default,
  hasAccidentalLetter: _hasAccidentalLetter2.default,
  hasAccidentalSymbol: _hasAccidentalSymbol2.default,
  hasOctave: _hasOctave2.default,
  haveSameOctave: _haveSameOctave2.default,
  isAnhemitonicScale: _isAnhemitonicScale2.default,
  isAscendingScale: _isAscendingScale2.default,
  isCohemitonicScale: _isCohemitonicScale2.default,
  isDescendingScale: _isDescendingScale2.default,
  isDiatonicScale: _isDiatonicScale2.default,
  isFlat: _isFlat2.default,
  isHemitonicScale: _isHemitonicScale2.default,
  isHeptatonicScale: _isHeptatonicScale2.default,
  isHexatonicScale: _isHexatonicScale2.default,
  isIntervalArray: _isIntervalArray2.default,
  isMode: _isMode2.default,
  isNatural: _isNatural2.default,
  isOctatonicScale: _isOctatonicScale2.default,
  isOctave: _isOctave2.default,
  isPentatonicScale: _isPentatonicScale2.default,
  isScale: _isScale2.default,
  isScaleWithIntervalAmount: _isScaleWithIntervalAmount2.default,
  isScientificNote: _isScientificNote2.default,
  isScientificNoteArray: _isScientificNoteArray2.default,
  isSemitone: _isSemitone2.default,
  isSharp: _isSharp2.default,
  isTone: _isTone2.default,
  isTriad: _isTriad2.default,
  normalizeScale: _normalizeScale2.default,
  noteToFrequency: _noteToFrequency2.default,
  noteToMidi: _noteToMidi2.default,
  noteToObject: _noteToObject2.default,
  objectToNote: _objectToNote2.default,
  sharpToFlat: _sharpToFlat2.default,
  transferAccidental: _transferAccidental2.default,
  transferStyle: _transferStyle2.default,
  transpose: _transpose2.default
};
module.exports = exports['default'];