'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _Names = require('../constants/Interval/Names');

var _isHemitonicScale = require('../isHemitonicScale');

var _isHemitonicScale2 = _interopRequireDefault(_isHemitonicScale);

var _getIntervals = require('../getIntervals');

var _getIntervals2 = _interopRequireDefault(_getIntervals);

var _normalizeScale = require('../normalizeScale');

var _normalizeScale2 = _interopRequireDefault(_normalizeScale);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

// https://en.wikipedia.org/wiki/Anhemitonic_scale

var isCohemitonicScale = function isCohemitonicScale(scale) {
  var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
      _ref$direction = _ref.direction,
      direction = _ref$direction === undefined ? 1 : _ref$direction;

  if (!(0, _isHemitonicScale2.default)(scale, { direction: direction })) return false;

  var normalizedScale = (0, _normalizeScale2.default)(scale, { direction: direction });
  var intervals = (0, _getIntervals2.default)(normalizedScale);

  return intervals.reduce(function (acc, interval, i) {
    if (interval === _Names.SEMITONE) {
      if (acc.length === 0) return [[interval]];
      if (intervals[i - 1] !== _Names.SEMITONE) return [].concat(_toConsumableArray(acc), [[interval]]);

      acc[acc.length - 1].push(interval);
      return acc;
    }
    return acc;
  }, []).filter(function (group) {
    return group.length >= 2;
  }).length >= 2;
};

exports.default = isCohemitonicScale;
module.exports = exports['default'];