'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isHeptatonicScale = require('../isHeptatonicScale');

var _isHeptatonicScale2 = _interopRequireDefault(_isHeptatonicScale);

var _getIntervals = require('../getIntervals');

var _getIntervals2 = _interopRequireDefault(_getIntervals);

var _normalizeScale = require('../normalizeScale');

var _normalizeScale2 = _interopRequireDefault(_normalizeScale);

var _Names = require('../constants/Interval/Names');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// https://en.wikipedia.org/wiki/Diatonic_scale

var isDiatonicScale = function isDiatonicScale(scale) {
  var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
      _ref$direction = _ref.direction,
      direction = _ref$direction === undefined ? 1 : _ref$direction;

  if (!(0, _isHeptatonicScale2.default)(scale, { direction: direction })) return false;

  var normalizedScale = (0, _normalizeScale2.default)(scale, { direction: direction });
  var intervals = (0, _getIntervals2.default)(normalizedScale);

  var semitones = intervals.filter(function (i) {
    return i === _Names.SEMITONE;
  }).length;
  var tones = intervals.filter(function (i) {
    return i === _Names.TONE;
  }).length;

  return semitones === 2 && tones === 5;
};

exports.default = isDiatonicScale;
module.exports = exports['default'];