'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _Names = require('../constants/Interval/Names');

var _isScale = require('../isScale');

var _isScale2 = _interopRequireDefault(_isScale);

var _getIntervals = require('../getIntervals');

var _getIntervals2 = _interopRequireDefault(_getIntervals);

var _normalizeScale = require('../normalizeScale');

var _normalizeScale2 = _interopRequireDefault(_normalizeScale);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// https://en.wikipedia.org/wiki/Anhemitonic_scale

var isHemitonicScale = function isHemitonicScale(scale) {
  var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
      _ref$direction = _ref.direction,
      direction = _ref$direction === undefined ? 1 : _ref$direction;

  if (!(0, _isScale2.default)(scale, { direction: direction })) return false;

  var normalizedScale = (0, _normalizeScale2.default)(scale, { direction: direction });
  var intervals = (0, _getIntervals2.default)(normalizedScale);

  return intervals.filter(function (i) {
    return Math.abs(i) === _Names.SEMITONE;
  }).length > 0;
};

exports.default = isHemitonicScale;
module.exports = exports['default'];