'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isDiatonicScale = require('../isDiatonicScale');

var _isDiatonicScale2 = _interopRequireDefault(_isDiatonicScale);

var _Mode = require('../constants/Mode');

var _Mode2 = _interopRequireDefault(_Mode);

var _getIntervals = require('../getIntervals');

var _getIntervals2 = _interopRequireDefault(_getIntervals);

var _normalizeScale = require('../normalizeScale');

var _normalizeScale2 = _interopRequireDefault(_normalizeScale);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// https://en.wikipedia.org/wiki/Mode_(music)

var isMode = function isMode(scale) {
  var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
      _ref$direction = _ref.direction,
      direction = _ref$direction === undefined ? 1 : _ref$direction;

  if (![-1, 1].includes(direction)) {
    throw new Error('Direction should be 1 (up) or -1 (down)');
  }

  if (!(0, _isDiatonicScale2.default)(scale)) return false;

  if (direction === -1) scale.reverse();

  var normalizedScale = (0, _normalizeScale2.default)(scale);
  var intervals = (0, _getIntervals2.default)(normalizedScale);

  var modes = Object.keys(_Mode2.default).map(function (k) {
    return _Mode2.default[k];
  });
  return modes.some(function (m) {
    return m.join(',') === intervals.join(',');
  });
};

exports.default = isMode;
module.exports = exports['default'];