'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _hasOctave = require('../hasOctave');

var _hasOctave2 = _interopRequireDefault(_hasOctave);

var _isScientificNote = require('../isScientificNote');

var _isScientificNote2 = _interopRequireDefault(_isScientificNote);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isScientificNoteArray = function isScientificNoteArray(notes) {
  if (!Array.isArray(notes)) return false;

  try {
    var isValid = notes.filter(function (n) {
      return (0, _hasOctave2.default)(n);
    }).length === notes.length || notes.filter(function (n) {
      return !(0, _hasOctave2.default)(n);
    }).length === notes.length;

    return notes.every(function (n) {
      return (0, _isScientificNote2.default)(n);
    }) && isValid;
  } catch (e) {
    return false;
  }
};

exports.default = isScientificNoteArray;
module.exports = exports['default'];