'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _getChromaticCPosition = require('../getChromaticCPosition');

var _getChromaticCPosition2 = _interopRequireDefault(_getChromaticCPosition);

var _accidentalToSymbol = require('../accidentalToSymbol');

var _accidentalToSymbol2 = _interopRequireDefault(_accidentalToSymbol);

var _noteToObject2 = require('../noteToObject');

var _noteToObject3 = _interopRequireDefault(_noteToObject2);

var _objectToNote = require('../objectToNote');

var _objectToNote2 = _interopRequireDefault(_objectToNote);

var _isScientificNote = require('../isScientificNote');

var _isScientificNote2 = _interopRequireDefault(_isScientificNote);

var _NOTES = require('../constants/NOTES');

var _NOTES2 = _interopRequireDefault(_NOTES);

var _isSharp = require('../isSharp');

var _isSharp2 = _interopRequireDefault(_isSharp);

var _Accidental = require('../constants/Accidental');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var sharpToFlat = function sharpToFlat(note) {
  if (!(0, _isScientificNote2.default)(note)) {
    throw new Error('"' + note + '" is not a valid note.');
  }

  if (!(0, _isSharp2.default)(note)) return note;

  var _noteToObject = (0, _noteToObject3.default)(note),
      octave = _noteToObject.octave,
      accidentalType = _noteToObject.accidentalType;

  var normalizedNote = (0, _accidentalToSymbol2.default)(note);
  var chromaCPosition = (0, _getChromaticCPosition2.default)(normalizedNote);

  var convertedNote = _NOTES2.default[chromaCPosition].map(_noteToObject3.default).find(function (n) {
    return n.accidental === _Accidental.FLAT;
  });

  if (!convertedNote) return note;

  return (0, _objectToNote2.default)(_extends({}, convertedNote, {
    accidentalType: accidentalType,
    octave: octave
  }));
};

exports.default = sharpToFlat;
module.exports = exports['default'];