'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _sharpToFlat = require('../sharpToFlat');

var _sharpToFlat2 = _interopRequireDefault(_sharpToFlat);

var _flatToSharp = require('../flatToSharp');

var _flatToSharp2 = _interopRequireDefault(_flatToSharp);

var _noteToObject3 = require('../noteToObject');

var _noteToObject4 = _interopRequireDefault(_noteToObject3);

var _isScientificNote = require('../isScientificNote');

var _isScientificNote2 = _interopRequireDefault(_isScientificNote);

var _hasAccidental = require('../hasAccidental');

var _hasAccidental2 = _interopRequireDefault(_hasAccidental);

var _Accidental = require('../constants/Accidental');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var transferAccidental = function transferAccidental(reference, note) {
  if (!(0, _isScientificNote2.default)(reference)) {
    throw new Error('"' + reference + '" is not a valid note.');
  }

  if (!(0, _isScientificNote2.default)(note)) {
    throw new Error('"' + note + '" is not a valid note.');
  }

  if (!(0, _hasAccidental2.default)(reference)) return note;

  var _noteToObject = (0, _noteToObject4.default)(reference),
      rAccidental = _noteToObject.accidental;

  var _noteToObject2 = (0, _noteToObject4.default)(note),
      iAccidental = _noteToObject2.accidental;

  if (rAccidental === iAccidental) return note;

  if (rAccidental === _Accidental.FLAT) return (0, _sharpToFlat2.default)(note);
  return (0, _flatToSharp2.default)(note);
};

exports.default = transferAccidental;
module.exports = exports['default'];