'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _accidentalToLetter = require('../accidentalToLetter');

var _accidentalToLetter2 = _interopRequireDefault(_accidentalToLetter);

var _accidentalToSymbol = require('../accidentalToSymbol');

var _accidentalToSymbol2 = _interopRequireDefault(_accidentalToSymbol);

var _noteToObject3 = require('../noteToObject');

var _noteToObject4 = _interopRequireDefault(_noteToObject3);

var _hasAccidental = require('../hasAccidental');

var _hasAccidental2 = _interopRequireDefault(_hasAccidental);

var _isScientificNote = require('../isScientificNote');

var _isScientificNote2 = _interopRequireDefault(_isScientificNote);

var _Accidental = require('../constants/Accidental');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var transferAccidentalStyle = function transferAccidentalStyle(reference, note) {
  if (!(0, _isScientificNote2.default)(reference)) {
    throw new Error('"' + reference + '" is not a valid note.');
  }

  if (!(0, _isScientificNote2.default)(note)) {
    throw new Error('"' + note + '" is not a valid note.');
  }

  if (!(0, _hasAccidental2.default)(reference)) return note;

  var _noteToObject = (0, _noteToObject4.default)(reference),
      rAccidentalType = _noteToObject.accidentalType;

  var _noteToObject2 = (0, _noteToObject4.default)(note),
      iAccidentalType = _noteToObject2.accidentalType;

  if (rAccidentalType === iAccidentalType) return note;

  if (rAccidentalType === _Accidental.LETTER) return (0, _accidentalToLetter2.default)(note);
  return (0, _accidentalToSymbol2.default)(note);
};

exports.default = transferAccidentalStyle;
module.exports = exports['default'];